Search found 179 matches

by maqifrnswa
08 Jul 2015, 18:45
Forum: General Development
Topic: C++11
Replies: 114
Views: 34355

Re: C++11

Also, what is the oldest version of boost we still need to support? Anything older than 1.51 still in use? Well... because travis-ci requires precise, we're still using its default boost libraries. - Boost version: 1.46.1 -- The CXX compiler identification is GNU 4.6.3 -- The C compiler identificat...
by maqifrnswa
08 Jul 2015, 18:32
Forum: General Development
Topic: C++11
Replies: 114
Views: 34355

Re: C++11

I see. Why is that listed under "Allowed Failures" ? Kinda threw me off I set it like that since the clang one is using a new version of clang and running it through the static analyzer. I didn't want any bugs in clang or the static analyzer to show up as a build failure, so it is an "allowed failu...
by maqifrnswa
08 Jul 2015, 18:30
Forum: General
Topic: Is it possible to commercially release a game on OpenMW?
Replies: 14
Views: 3352

Re: Is it possible to commercially release a game on OpenMW?

It really isn't all that evil, it is just asking for the source to the binary, not your copyrighted work (assets/game). That is why I suggested that if you haven't modified the sources, you can just provide a link to the sources you used to create/compile the binary. Simplest solution: If you don't...
by maqifrnswa
15 Jun 2015, 02:02
Forum: General Development
Topic: OSG port roadmap and design plans
Replies: 76
Views: 27842

Re: OSG port roadmap and design plans

added: libgl1 libopenscenegraph libopenthreads libtxc-dxtn-s2tc0 In case anyone else has run into this issue, On Xubuntu (and probably Ubuntu) 15.04 the following packages were not found in the repos? I had to change libopenscenegraph libopenthreads to libopenscenegraph-dev libopenthreads-dev after...
by maqifrnswa
13 Jun 2015, 16:59
Forum: General Development
Topic: OSG port roadmap and design plans
Replies: 76
Views: 27842

Re: OSG port roadmap and design plans

So how have the dependencies for OpenMW changed with the switch to OSG? Ogre3D daily build dependencies (Ubuntu 15.04): libavcodec56 (>= 6:11~beta1) | libavcodec-extra-56 (>= 6:11.2), libavformat56 (>= 6:11~beta1), libavresample2 (>= 6:11~beta1), libavutil54 (>= 6:11~beta1), libboost-filesystem1.55...
by maqifrnswa
11 Jun 2015, 20:13
Forum: General Development
Topic: Daily PPA for scrawl's OSG branch
Replies: 7
Views: 1944

Re: Dailly PPA for scrawl's OSG branch

psi29a wrote:It will likely cry on precise... Fair warning. :)
I just got this emailed to me from launchpad:
RE: Precise build of openmw-osg
Image
Regards,
Launchpad Team
by maqifrnswa
11 Jun 2015, 19:58
Forum: General Development
Topic: Daily PPA for scrawl's OSG branch
Replies: 7
Views: 1944

Re: Dailly PPA for scrawl's OSG branch

Loriel wrote:14.04 please.

Loriel
OK! I just told it to build for every available release. We'll see if it complains, otherwise you'll get it soon!
by maqifrnswa
11 Jun 2015, 19:07
Forum: General Development
Topic: Daily PPA for scrawl's OSG branch
Replies: 7
Views: 1944

Daily PPA for scrawl's OSG branch

For those wanting to test the OSG branch on Ubuntu, see:
https://launchpad.net/~openmw/+archive/ ... openmw-osg

updated daily (around 0600 UTC)

Currently built for 14.04, 14.10, 15.04 and 15.10 (everything after and including trusty)
by maqifrnswa
09 Jun 2015, 23:07
Forum: News
Topic: OpenSceneGraph port now playable
Replies: 88
Views: 24071

Re: OpenSceneGraph port now playable

I set up a daily build ppa: https://launchpad.net/~openmw/+archive/ubuntu/openmw-osg/ it should pull in all the correct dependencies. I haven't tested it yet - but it's build on our normal PPA so it should just work! EDIT: it's built, here are the dependencies that it needs (taken care of automatica...
by maqifrnswa
01 Jun 2015, 19:23
Forum: Support
Topic: Installing OpenMW on a Raspberry Pi 2
Replies: 83
Views: 24505

Re: Installing OpenMW on a Raspberry Pi 2

Technically, you don't have to build it yourself... we do it for you. Have a look here: https://buildd.debian.org/status/package.php?p=openmw&suite=experimental just download debian's armel or armhf (both should work, but needs testing) port of openmw. just add debian's apt source to your list, apt...